Bug 124783 - sata_sil.c "lost interrupt" with disk ST3120026AS
Summary: sata_sil.c "lost interrupt" with disk ST3120026AS
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-29 23:25 UTC by nicola
Modified: 2013-07-03 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:55:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg trace about the condition "lost interrupt" for bug:124783 (14.71 KB, text/plain)
2004-05-29 23:32 UTC, nicola
no flags Details

Description nicola 2004-05-29 23:25:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040515 Firefox/0.8

Description of problem:
there is a condition of error with a controller managed by the kernel
driver sata_sil.c and the model of sata disk ST3120026AS.

the controller model is "Adaptec AAR-1210SA".

The bug is known in many previous release of the kernel driver (I
refer to the latest or 0.54) in kernel 2.6.6.

explanation:
at boot and during normal access operation the disk is not accessible,
or is accesible after delays that last minutes, and after the delays
the read/write fails with error "lost interrupt" (more accurate trace
and dmesg will follow).

in the source code there is a workaround for disk drives of the same
manifacturer (seagate) with similar names and type. but not the one I
refer to (ST3120026AS).

obviously I have tried to modify the source including that model in
the workaround routine, but without success. [workaround is called
sil_blacklist ...]

thanks for your work guys!
nicola del vacchio




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install sata controller Adaptec AAR-1210SA in the mainboard
2.link a disk drive model Seagate ST3120026AS
3.boot with kernel 2.6.x
    

Actual Results:  errors, disk unusable

Expected Results:  (fast!!!) operation with sata drive

Additional info:
please try to address this bug as fast as you can afford, I have a
dead pc at home unusable...

Comment 1 nicola 2004-05-29 23:32:09 UTC
Created attachment 100699 [details]
dmesg trace about the condition "lost interrupt" for bug:124783

Comment 2 nicola 2004-05-30 02:43:53 UTC
i have installed windows xp and it works fine. so it is not some
hardware failure. i'll wait for some good news in order to use again a
free OS. thanks
nicola  

Comment 3 Jeff Garzik 2005-03-25 07:40:15 UTC
FYI, http://lkml.org/lkml/2005/3/25/33

Comment 4 Dave Jones 2005-04-16 05:55:46 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.